Bug 771762 - Improvements Needed to Increase Usefulness/Useability of Custom RHQ Plugins
Improvements Needed to Increase Usefulness/Useability of Custom RHQ Plugins
Status: NEW
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.3
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On: RHQ-647 578972 796480
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-04 16:31 EST by Ted Jones
Modified: 2013-07-23 04:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ted Jones 2012-01-04 16:31:45 EST
Description of problem: There are several issues that need to be addressed to make custom plugins more useful. This is the top level BZ to track issues identifying required functionality and other improvements. 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 tcunning 2012-01-05 16:11:39 EST
I added https://bugzilla.redhat.com/show_bug.cgi?id=536280 as a proxy for the improvements described here : 

http://www.rhq-project.org/display/RHQ/Design-Dynamic+Metadata

Dynamic metrics would make it possible to do BAM-style tracking in RHQ.
Comment 2 Edson Tirelli 2012-01-05 16:46:52 EST
In addition to dynamic metrics previously mentioned, specially for JMX-based use cases, RHQ should be able to monitor short-lived resources. 

For instance, in Drools/Hibernate/etc, where you have sessions being created and disposed all the time, the typical interval based (24hs default) discovery cycle is not enough. 

My suggestion would be the ability to define bean name patterns, and discover any beans matching those name patterns every time metrics are collected. This will allow RHQ to aggregate metrics from multiple short-lived resources (like Drools sessions) into their views and graphs.

Note You need to log in before you can comment on or make changes to this bug.